summaryrefslogtreecommitdiff
path: root/docs/docbook/configure
diff options
context:
space:
mode:
Diffstat (limited to 'docs/docbook/configure')
-rwxr-xr-xdocs/docbook/configure64
1 files changed, 33 insertions, 31 deletions
diff --git a/docs/docbook/configure b/docs/docbook/configure
index e8578fed39..26ea467482 100755
--- a/docs/docbook/configure
+++ b/docs/docbook/configure
@@ -525,10 +525,12 @@ fi
## check for the necesary install tools
+## Openjade includes 'onsgmls' while
+## the older jade package includes 'nsgmls'
# Extract the first word of "openjade", so it can be a program name with args.
set dummy openjade; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:532: checking for $ac_word" >&5
+echo "configure:534: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_JADE'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -565,7 +567,7 @@ if test -z "$JADE"; then
# Extract the first word of "jade", so it can be a program name with args.
set dummy jade; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:569: checking for $ac_word" >&5
+echo "configure:571: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_JADE'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -597,9 +599,7 @@ else
echo "$ac_t""no" 1>&6
fi
-fi
-
-# Extract the first word of "nsgmls", so it can be a program name with args.
+ # Extract the first word of "nsgmls", so it can be a program name with args.
set dummy nsgmls; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:606: checking for $ac_word" >&5
@@ -634,19 +634,20 @@ else
echo "$ac_t""no" 1>&6
fi
-# Extract the first word of "htmldoc", so it can be a program name with args.
-set dummy htmldoc; ac_word=$2
+else
+ # Extract the first word of "onsgmls", so it can be a program name with args.
+set dummy onsgmls; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:641: checking for $ac_word" >&5
-if eval "test \"`echo '$''{'ac_cv_path_HTMLDOC'+set}'`\" = set"; then
+echo "configure:642: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_NSGMLS'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
- case "$HTMLDOC" in
+ case "$NSGMLS" in
/*)
- ac_cv_path_HTMLDOC="$HTMLDOC" # Let the user override the test with a path.
+ ac_cv_path_NSGMLS="$NSGMLS" # Let the user override the test with a path.
;;
?:/*)
- ac_cv_path_HTMLDOC="$HTMLDOC" # Let the user override the test with a dos path.
+ ac_cv_path_NSGMLS="$NSGMLS" # Let the user override the test with a dos path.
;;
*)
IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
@@ -654,7 +655,7 @@ else
for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
if test -f $ac_dir/$ac_word; then
- ac_cv_path_HTMLDOC="$ac_dir/$ac_word"
+ ac_cv_path_NSGMLS="$ac_dir/$ac_word"
break
fi
done
@@ -662,26 +663,28 @@ else
;;
esac
fi
-HTMLDOC="$ac_cv_path_HTMLDOC"
-if test -n "$HTMLDOC"; then
- echo "$ac_t""$HTMLDOC" 1>&6
+NSGMLS="$ac_cv_path_NSGMLS"
+if test -n "$NSGMLS"; then
+ echo "$ac_t""$NSGMLS" 1>&6
else
echo "$ac_t""no" 1>&6
fi
-# Extract the first word of "onsgmls", so it can be a program name with args.
-set dummy onsgmls; ac_word=$2
+fi
+
+# Extract the first word of "htmldoc", so it can be a program name with args.
+set dummy htmldoc; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:676: checking for $ac_word" >&5
-if eval "test \"`echo '$''{'ac_cv_path_ONSGMLS'+set}'`\" = set"; then
+echo "configure:679: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_HTMLDOC'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
- case "$ONSGMLS" in
+ case "$HTMLDOC" in
/*)
- ac_cv_path_ONSGMLS="$ONSGMLS" # Let the user override the test with a path.
+ ac_cv_path_HTMLDOC="$HTMLDOC" # Let the user override the test with a path.
;;
?:/*)
- ac_cv_path_ONSGMLS="$ONSGMLS" # Let the user override the test with a dos path.
+ ac_cv_path_HTMLDOC="$HTMLDOC" # Let the user override the test with a dos path.
;;
*)
IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
@@ -689,7 +692,7 @@ else
for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
if test -f $ac_dir/$ac_word; then
- ac_cv_path_ONSGMLS="$ac_dir/$ac_word"
+ ac_cv_path_HTMLDOC="$ac_dir/$ac_word"
break
fi
done
@@ -697,9 +700,9 @@ else
;;
esac
fi
-ONSGMLS="$ac_cv_path_ONSGMLS"
-if test -n "$ONSGMLS"; then
- echo "$ac_t""$ONSGMLS" 1>&6
+HTMLDOC="$ac_cv_path_HTMLDOC"
+if test -n "$HTMLDOC"; then
+ echo "$ac_t""$HTMLDOC" 1>&6
else
echo "$ac_t""no" 1>&6
fi
@@ -707,7 +710,7 @@ fi
# Extract the first word of "sgmlspl", so it can be a program name with args.
set dummy sgmlspl; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:711: checking for $ac_word" >&5
+echo "configure:714: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_SGMLSPL'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -742,7 +745,7 @@ fi
# Extract the first word of "perl", so it can be a program name with args.
set dummy perl; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:746: checking for $ac_word" >&5
+echo "configure:749: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_PERL'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -797,7 +800,7 @@ fi
# The Makefile requires docbook2X in the share/sgml directory
if ! test -f $SGML_SHARE/docbook2X/docbook2man-spec.pl ; then
- { echo "configure: error: "Unable to find docbook2X. Make sure it is installed and that the sgml-share path is correct."" 1>&2; exit 1; }
+ { echo "configure: error: "Unable to find dockbook2X. Make sure it is installed and that the sgml-share path is correct."" 1>&2; exit 1; }
fi
@@ -951,7 +954,6 @@ s%@mandir@%$mandir%g
s%@JADE@%$JADE%g
s%@NSGMLS@%$NSGMLS%g
s%@HTMLDOC@%$HTMLDOC%g
-s%@ONSGMLS@%$ONSGMLS%g
s%@SGMLSPL@%$SGMLSPL%g
s%@PERL@%$PERL%g
s%@SGML_SHARE@%$SGML_SHARE%g